function M=llmatrix(X,h,x_net,kernel)
% function M=lpmatrix(X,h,x_net,kernel)
% This function counts smoothing matrix for local linear estimatiors.
% X - data points
% h - bandwidth
% x_net  - in theese points will be counted the estimated function
% kernel - name of file containing kernel function; if this parameter is not
%          given, Epanechnikov kernel is used
% --------------------------------------------------------------------------
% For data values Y the estimated function m is given as m=M*Y

if nargin<3
 error('lpmatrix: Too litle input parameters, sorry.');
end
if nargin==3
 kernel=K_def('epan');
end
X=col(X);
[m,n]= size(X);
if n~=1
 error('lpmatrix: Wrong size of data vector.');
end
x_net=row(x_net);
[M,N]=size(x_net);
if M~=1
 error('lpmatrix: Wrong size of mesh vector.');
end
M=lpmatrix(X,h,1,x_net,kernel);
